function xiaoji_end()
	local r=flag.GetValue(11040)
	local pid=player.GetMainPlayer()
	
	effect.FadeOut(1,0.7)
	global.Wait(1.5)
	
--栅栏

	npc.Destroy(988)
	npc.Destroy(989)
	npc.Destroy(990)
--
	npc.Destroy(912)
	npc.Destroy(913)
	npc.Destroy(914)
	npc.Destroy(915)
	npc.Destroy(916)
	npc.Destroy(917)
	npc.Create(3021,912,5573,3066)--帮助的小孩
	npc.Create(3018,913,5617,3079)--小孩甲
	npc.Create(3019,914,5578,3114)--小孩乙
	npc.Create(3022,915,5580,3080)--点击鸡
	npc.Create(3023,917,5598,3087)--猫
	npc.Create(3024,916,5583,3103)--猪
	npc.SetAtPos(912,5587,3090)
	npc.SetAtPos(913,5587,3090)
	npc.SetAtPos(914,5587,3090)
	npc.SetAtPos(915,5587,3090)
	npc.SetAtPos(916,5587,3090)
	npc.SetAtPos(917,5587,3090)


	npc.Disable(915)
	npc.Disable(916)
	npc.Disable(917)


--小孩乙路径
	player.SetPos(5601,3050)
	player.SetAt(-32,95)
	camera.ChangeCameraFree()
--
	effect.FadeOut(0,0.7)
	global.Wait(1.5)	
	if r==2 then
		if pid==1 or pid==4 or pid==16 or pid==32 or pid==64 or pid==256 then
			ui.Popo(70881,1,912,0)--哇，哥哥真厉害！帮我拿了第一！
		else
			ui.Popo(70882,1,912,0)--哇，姐姐真厉害！帮我拿了第一！
		end
		flag.SetValue(11042,3)
	elseif r==3 then
		if pid==1 or pid==4 or pid==16 or pid==32 or pid==64 or pid==256 then
			ui.Popo(70883,1,912,0)--讨厌！输给他们了！我的小鸭明明很厉害的！
		else
			ui.Popo(70884,1,912,0)--讨厌！输给他们了！我的小鸭明明很厉害的！
		end
		flag.SetValue(11042,4)
	end
	--camera.ChangeCameraFree()
	player.Control(1)
	npc.ContinuePatrol(436) --老奶奶开始巡逻
	npc.Enable(436)
	npc.Enable(462)
	npc.Enable(465)
	npc.Enable(466)
	npc.Enable(467)
	npc.Enable(468)
	npc.Enable(469)
	npc.Enable(475)
	npc.Enable(407)
	npc.Enable(473)
	npc.Enable(478)
	npc.Enable(479)
	npc.Enable(471)
	npc.Enable(470)
	npc.Enable(476)
	npc.Enable(998)

end